tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::accessor Class Reference

Allows write access to elements and combines data access, locking, and garbage collection. More...

`#include <concurrent_hash_map.h>`

Inheritance diagram for tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::accessor:
Collaboration diagram for tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::accessor:

## Public Types

typedef concurrent_hash_map::value_type | value_type
| Type of value. More...

## Public Member Functions

reference | operator* () const
| Return reference to associated value in hash table. More...
pointer | operator-> () const
| Return pointer to associated value in hash table. More...
Public Member Functions inherited from tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::const_accessor
bool | empty () const
| True if result is empty. More...
void | release ()
| Set to null. More...
const_reference | operator* () const
| Return reference to associated value in hash table. More...
const_pointer | operator-> () const
| Return pointer to associated value in hash table. More...
| const_accessor ()
| Create empty result. More...
| ~const_accessor ()
| Destroy result after releasing the underlying reference. More...

## Additional Inherited Members

Public Attributes inherited from tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::const_accessor
const typedef concurrent_hash_map::value_type | value_type
| Type of value. More...
Protected Member Functions inherited from tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::const_accessor
bool | is_writer ()
Protected Attributes inherited from tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::const_accessor
node * | my_node
hashcode_t | my_hash

## Detailed Description

### template<typename Key, typename T, typename HashCompare, typename Allocator>
class tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::accessor

Allows write access to elements and combines data access, locking, and garbage collection.

Definition at line 812 of file concurrent_hash_map.h.

## Member Typedef Documentation

## value_type

template<typename Key, typename T, typename HashCompare, typename Allocator>

typedef concurrent_hash_map::value_type tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::accessor::value_type

Type of value.

Definition at line 815 of file concurrent_hash_map.h.

## Member Function Documentation

## operator*()

template<typename Key, typename T, typename HashCompare, typename Allocator>

reference tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::accessor::operator* | ( |  | ) | const

inline

Return reference to associated value in hash table.

Definition at line 818 of file concurrent_hash_map.h.

{
__TBB_ASSERT( this->my_node, "attempt to dereference empty accessor" );
return this->my_node->value();
}

References __TBB_ASSERT, tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::const_accessor::my_node, and tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::node::value().

Referenced by tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::accessor::operator->().

Here is the call graph for this function:
Here is the caller graph for this function:

## operator->()

template<typename Key, typename T, typename HashCompare, typename Allocator>

pointer tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::accessor::operator-> | ( |  | ) | const

inline

Return pointer to associated value in hash table.

Definition at line 824 of file concurrent_hash_map.h.

{
return &operator*();
}

References tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::accessor::operator*().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- concurrent_hash_map.h

__TBB_ASSERT
#define __TBB_ASSERT(predicate, comment)
No-op version of __TBB_ASSERT.
Definition: tbb_stddef.h:165
tbb::interface5::concurrent_hash_map::const_accessor::my_node
node * my_node
Definition: concurrent_hash_map.h:807
tbb::interface5::concurrent_hash_map::node::value
value_type & value()
Definition: concurrent_hash_map.h:620
tbb::interface5::concurrent_hash_map::accessor::operator*
reference operator*() const
Return reference to associated value in hash table.
Definition: concurrent_hash_map.h:818

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.